﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="HierarchicalGrid_ASPNET._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js" type="text/javascript"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.11/jquery-ui.min.js" type="text/javascript"></script> 
    <script src="http://cdn-na.infragistics.com/jquery/20121/2059/js/infragistics.loader.js"></script>
    <script type="text/javascript">
        $.ig.loader({
            scriptPath: "http://cdn-na.infragistics.com/jquery/20121/2059/js/",
            cssPath: "http://cdn-na.infragistics.com/jquery/20121/2059/css/",
            resources: "igHierarchicalGrid"
        });

        $.ig.loader(function () {
            $("#grid1").igHierarchicalGrid({
                autoGenerateColumns: false,
                columns: [
                    { headerText: "ID", key: "ID", dataType: "string" },
                    { headerText: "Name", key: "Name", dataType: "string" }
                ],
                dataSource: "/GetData.ashx",
                columnLayouts: [{
                    key: "Orders",
                    autoGenerateColumns: false,
                    columns: [
                    { headerText: 'ID', key: "ID", width: "130px" },
                    { headerText: 'Description', key: "Description", width: "130px" },
                    { headerText: 'Quantity', key: "Quantity", width: "100px" }
                ]
                }]
            });
        });    
    </script>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <p>
        To learn more about ASP.NET visit <a href="http://www.asp.net" title="ASP.NET Website">www.asp.net</a>.
    </p>
    <p>
        You can also find <a href="http://go.microsoft.com/fwlink/?LinkID=152368&amp;clcid=0x409"
            title="MSDN ASP.NET Docs">documentation on ASP.NET at MSDN</a>.
    </p>
    <table id="grid1"></table>
</asp:Content>
