﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace HierarchicalGrid_ASPNET.Models
{
    public class Customer
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public List<Order> Orders { get; set; }

        public static List<Customer> GetCustomers()
        {
            List<Customer> cl = new List<Customer>();
            for (int i = 0; i < 10; i++)
            {
                Customer c = new Customer() { ID = i, Name = "Customer " + i.ToString(), Orders = new List<Order>() { new Order() { ID = 1, Description = "Some description", Quantity = 1 } } };
                cl.Add(c);
            }
            return cl;
        }
    }
}